Cyberduck Mountain Duck CLI

#1860 closed enhancement (fixed)

Symbolic links downloaded as target file

Reported by: ApplesAndOranges Owned by: dkocher
Priority: low Milestone: 4.0
Component: core Version: 2.8.4
Severity: normal Keywords: symbolic link
Cc: Architecture:
Platform:

Description

I am trying to mirror a remote FTP directory that contains a number of symbolic links. The symbolic links are recognized as links in the "Get Info" panel. When Cyberduck downloads one of the symbolic links the local directory ends up containing the target of the link instead of a link. The permissions of the local copy are also wrong (-rwxr-xr-x instead of -rw-r--r--).

All of this leads me to conclude that even though Cyberduck understands that the file is a link it resolves the link and transfers the destination file instead of creating a link locally. I think this behavior is wrong or at least warrants a preferences setting.

Change History (9)

comment:1 Changed on Apr 9, 2008 at 7:33:36 PM by dkocher

#1918 closed as duplicate.

comment:2 Changed on May 11, 2008 at 8:47:30 AM by dkocher

  • Priority changed from normal to low
  • Type changed from defect to enhancement

comment:3 Changed on Nov 14, 2009 at 12:10:55 AM by dkocher

  • Milestone set to 3.4
  • Status changed from new to assigned
  • Summary changed from Symbolic Links Downloaded as Target File to Symbolic links downloaded as target file

#2449 closed as duplicate.

comment:4 Changed on Nov 20, 2009 at 1:37:30 PM by dkocher

  • Milestone 3.4 deleted

The difficulty in implementing this behaviour is that the symbolic link may point outside of the directory hierarchy we are downloading.

comment:5 Changed on Nov 20, 2009 at 1:39:20 PM by dkocher

Some work in r5576.

comment:6 Changed on Jul 29, 2010 at 4:37:01 PM by dkocher

  • Resolution set to wontfix
  • Status changed from assigned to closed

comment:7 Changed on Feb 4, 2011 at 8:12:17 AM by dkocher

  • Milestone set to 4.0
  • Resolution wontfix deleted
  • Status changed from closed to reopened

Will implement to recreate symbolic links if pointing to a file also included in the transfer. This will work for uploads with SFTP and downloads to Mac OS X.

comment:8 Changed on Feb 4, 2011 at 8:12:27 AM by dkocher

See also #5645.

comment:9 Changed on Feb 4, 2011 at 10:22:53 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r8322. Introduce new boolean properties path.symboliclink.resolve and local.symboliclink.resolve to resolve files instad of creating symlinks when set to true. On Mac, both settings are set to false by default, on Windows links are always resolved.

Note: See TracTickets for help on using tickets.
swiss made software